Thursday, June 23, 2011

Episode 136 of RFC

Four Days Of FestivALL From RFC

June 23, 2011 by rudy panucci
Part four of Radio Free Charleston’s FestivALL 2011 coverage comibnes The East End Main Street Streetworks Art Auction with The Music Works/Songwriternight.com Songwriter Invitational. You’ll see plenty of the Streetworks brick art, plus MC Ted Brightwell, along with music from Sierra Ferrell, Don Baker, John Radcliff and John Lilly.

Wednesday, June 22, 2011

Episode 135 of RFC

Three Shows In Three Days. RFC Does FestivALL

June 22, 2011 by rudy panucci
Today’s special FestivALL 2011 episode of Radio Free Charleston features music from The Kingfish Five, Joseph Hale, 600 lbs of SIn and Uncle Eddy and Robyn. There are also scenes from Sunday Funday at The Clay Center and Dr. Sketchy’s Anti Art Show.

We’re going to do one more of these this week, then return Monday with even more FestivALL madness!

Tuesday, June 21, 2011

Episode 134 of RFC

Day Two of Radio Free FestivALL

June 21, 2011 by rudy panucci
Above you see our second episode of Radio Free Charleston’s FestivALL 2011 coverage.  Though delayed by a storm, we are still attempting to go daily.  This episode of RFC shines a spotlight on FestivALL’s theatrical offerings, with clips from “St. Stephen’s Dream,” CYAC’s “Easier Than The Truth,” The No Pants Players and CLOG’s “Thoroughly Modern Millie.”  We also have music from WATT 4 and Bare Bones.

Check back Wednesday for yet another episode of RFC, with scenes from Sunday Funday at The Clay Center, plus music from The Kingfish Five and 600 Lbs of Sin and more!

Monday, June 20, 2011

Episode 133 of RFC

Radio Free Charleston Covers FestivALL Part One

June 20, 2011 by rudy panucci
At the top of this post you see Radio Free Charleston number 133, the first of our shows devoted to FestivALL 2011. We don’t know how many episodes we will devote to FestivALL this year.Last year, we did six episodes during FestivALL, with anadditional episode of leftover material in September. We also don’t know how fast and furious these will come at you, so you’ll want to check PopCult every five or ten minutes for the next two weeks.

This episode includes footage of the FestivALL Art Parade. This is just a fraction of the parade footage we have. Don’t fret, you’ll be seeing much more of the parade in the coming days.

Tuesday, June 14, 2011

Episode 132 of RFC

RFC 132: Last Call Before FestivAll!

June 14, 2011 by rudy panucci
At the top of the post you will find Radio Free Charleston number 132, “Ren and Stimpy Shirt.” This special pre-FestivALL episode includes music from Wiley Sonic, The Voodoo Katz, and The Poor Taters, plus belly dancing from Jennifer Brooke Swanson, and animation by yours truly.

Host segments were shot on a sunny Sunday morning on Charleston’s historic East End in front of Glen Brogan’s brand new mural on the side of the Bluegrass Kitchen. We’ve been fans of Glen’s for some time, even wearing one of his shirts back on episode 95and it’s a kick to see his wonderful art in such a large format outdoors in front of God and everybody.

Tuesday, May 31, 2011

Episode 131 of RFC

Wiley Sonic, Mother Nang and Tofujitsu on RFC 131

May 31, 2011 by rudy panucci
Joe and Wiley Sonic are coming to town this weekend!
Joe and Wiley Sonic are coming to town this weekend!
At the top of this post, you see the embedded video of Radio Free Charleston 131, “Thenewno2 Shirt.”  This special episode of RFC is devoted to promoting a great triple bill of live, original music.  Saturday, June 4, local favorites Tofujitsu and Mother Nang will be opening for Washington DC’s, Wiley Sonic.
Wiley Sonic is a new band fronted by Joe Vallina, who was last seen on RFC back on The Feast of Stephen Reunion Episode 23, four years ago.

Tuesday, May 10, 2011

Episode 130 of RFC

RFC 130: “The Drowsy Chaperone,” C2J2 And More DEVO Hats!

May 10, 2011 by rudy panucci
Radio Free Charleston, episode 130, “The Who Shirt,” is online now. That’s it right up there…see?

This edition of the show features a song from The Charleston Light Opera Guild, a jazz tune from C2J2, animation fromFrank Panucci, and a couple of surprises.


At the yard sale
Host segments were shot at The East End Yard Sale last Saturday. See, that way we could shoot the host segments and shop at the same time. We didn’t buy much, but we did facilitate the transfer of a vintage MAC SE computer from Mark Scarpelli to Mark Wolfe, and that alone was worth the trip.

Monday, May 2, 2011

Episode 129 of RFC

Blue Million, Ryan Hardiman, HARRAH, “Airwaves,” Animation And More On RFC 129

May 2, 2011 by rudy panucci
Radio Free Charleston episode 129, “Adventure Wars Shirt” is in the books, and in this blog, right up there. See?And we’re still in Hi-Def!
This week we feature music by Blue Million, HARRAH and Ryan Hardiman. We also have a preview of the new CYAC show, “Airwaves.” There’s animation by Frank Panucci, too, but the less said about that, the better. This episode of the show includes some harsher language than usual, but it’s all tasteful and in context and we’re on the web so there’s really no way to get in trouble anyway.


Host segments were shot on a rainy Sunday afternoon at Five Corners on Charleston’s West Side. To give you some insight into the RFC guerilla filmmaking process, each show starts with a minimal script. Usually one page of large print. It basically exists to remind me of the band’s name, the song title and any upcoming gigs that we might be plugging for them. I ad-lib around this rough outline.

Tuesday, April 26, 2011

Episode 128 of RFC

VooDoo, Mojo and The Mystery Hole on RFC 128

April 26, 2011 by rudy panucci
Episode 128 of Radio Free Charleston, “Valhalla State Park Shirt” is online and hovering at the top of this post.

This week’s show features music from Prank Monkey, Jay Oakes and Paul Callicoat and Short of Cash. We also have more classic animation from Frank Panucci.


Host segments were shot at the green space across from the Clay Center, and our shirt comes from TeeFury.com.


Our first musical guest is Prank Monkey, the house band for the Wednesday night jam at The Blue Parrot. Prank Monkey is Johnny “Hurricane” Compton, Jamie Skeens and Mike Vandergriff, and they kick off the jam session with a quick set before sitting in with other musicians as the night progresses.

It’s a great mid-week blast of wide-awake rock music, and you get a taste of what they can do with their cover of the Jimi Hendrix classic, “Voodoo Child” on this week’s show. The Wednesday jam kicks off around 10 PM at the Blue Parrot on Capitol Street, and there’s no cover.


Our animation this week is “Turkey Wang,” yet another bit of classic, mind-altering Frank Panucci animation, re-mastered into Hi-Definition by a crack team of Korean re-tracing artistes. Chai-Keseck-twan Studios is one of the leading CGI effects and restoration houses in the world. They’re currently at work on a special anniversary edition of “Forrest Gump,” where they’re using computer graphics to re-attach Lt. Dan’s legs.


Our next musical guest comes to us courtesy of Doug Imbrogno and WestVirginiaVille.com. Doug shot and edited a music video for Jay Oakes and Paul Callicoat’s musical tribute to The Mystery Hole. This is the second song about The Mystery Hole that we’ve had on the show. The first was by The Feast Of Stephen, who reunited on RFC 105 episodes ago.

Paul is an old friend of Radio Free Charleston, first appearing way back on episode ten, teamed up with Doug as “The HeyDays.” Paul is also a co-owner of Route 60 Music, in Barboursville, who were our partners in The Great Guitar Giveaway a couple of years ago. Jay is a veteran area musician and songwriter who’s been highly-regarded for 30 years.

As I said, the video comes to us from Doug Imbrogno. If we can twist his arm, he might let us feature a preview of his top-secret FestivAll project on the show.


Wrapping up the show is an early incarnation of Short of Cash.This band, lead by Roger Simms, formed at one of the Charleston United meetings, and they’re rapidly gaining a following. They’re going to be headlining a show this Saturday at the rec center in Marmet. We’ll have full details on this show in Friday’s PopCulteer.

That’s the notes on this week’s show. Next week we’re going to shine the RFC spotlight on Ryan Hardiman and Blue Million, with a bunch of other timely suprises thrown in just to keep things interesting.

We started trying something new last week. Here at the bottom of the post, we’re including an EXTRA HUGE version of the show!

Monday, April 18, 2011

Episode 127 of RFC

RFC 127 With Mother Nang, The Nanker Phelge, Jonathan Tucker, The Big Yard Sale And Animation!

April 19, 2011 by rudy panucci
That video you see in the box above this text is Radio Free Charleston’s 127th episode, “Fever Strength Shirt.” It’s our second big fancy High Definition installment of the show.

Music this time comes from Mother Nang, The Nanker Phelgeand Jonathan Tucker. We also have a promo spot for The 21st Annual East End Yard Sale, and remastered animation fromFrank Panucci.